Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Enum cmdConfig.MainInterfaceType

java.lang.Object
java.lang.Enum<cmdConfig.MainInterfaceType>
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdConfig.MainInterfaceType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<cmdConfig.MainInterfaceType>`, `java.lang.constant.Constable`

Enclosing class:
  cmdConfig

    public static enum cmdConfig.MainInterfaceType
    extends java.lang.Enum<cmdConfig.MainInterfaceType>

MainInterfaceType - PC interface type. 0-auto select, 1-RS232, 2-BLUETOOTH, 3- USB, 4-LAN;

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `auto_select` |
  `BLUETOOTH` |
  `LAN` |
  `RS232` |
  `USB` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static cmdConfig.MainInterfaceType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static cmdConfig.MainInterfaceType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### auto_select

    public static final cmdConfig.MainInterfaceType auto_select

  - ### RS232

    public static final cmdConfig.MainInterfaceType RS232

  - ### BLUETOOTH

    public static final cmdConfig.MainInterfaceType BLUETOOTH

  - ### USB

    public static final cmdConfig.MainInterfaceType USB

  - ### LAN

    public static final cmdConfig.MainInterfaceType LAN

- ## Method Details

  - ### values

    public static cmdConfig.MainInterfaceType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static cmdConfig.MainInterfaceType valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null